%global momorel 2
%global xfcever 4.4.2

Summary: 	Port of xfce engine to GTK+-2.0
Name: 		gtk-xfce-engine
Version: 	2.4.2
Release:	%{momorel}m%{?dist}
License:	GPL
URL: 		http://www.xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{xfcever}/src/%{name}-%{version}.tar.bz2
NoSource:       0
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	gtk2-devel >= 2.10.3
BuildRequires: 	glib2-devel >= 2.12.3
BuildRequires: 	libxml2-devel
BuildRequires: 	pkgconfig

%description
A port of Xfce engine to GTK+-%{version}.

%prep
%setup -q 

%build
%configure
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*/*/engines/*
%{_datadir}/themes/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.2-2m)
- rebuild against gcc43

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.2-1m)
- Xfce 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.1-1m)
- Xfce 4.4.1

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.0-2m)
- delete libtool library

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.0-1m)
- Xfce 4.4.0

* Sun Sep 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.8-3m)
- rebuild against gtk+-2.10.3

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.8-2m)
- fix files

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.8-1m)
- Xfce 4.2.3.2

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.7-1m)
- Xfce 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.6-1m)
- Xfce 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.5-1m)
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.4-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.3-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.2-1m)
- Xfce 4.2-RC1

* Sun Oct 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.10-1m)
- version up

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.1.9-5m)
- rebuild against xfce4 4.0.5

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.1.9-4m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.1.9-3m)
- rebuild against for libxml2-2.6.8
- rebuild against for glib-2.4.0

* Fri Mar 12 2004 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.1.9-2m)
- change Source0

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.9-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.8-1m)
- version up

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.7-1m)
- version up

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (2.1.6-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.1.5-1m)
- XFce4 RC4 release

